Search documentation of polar_express

# PolarExpress.Schemas.BenefitGrantMeterCreditWebhook (polar_express v0.1.5)

Copy Markdown View Source

BenefitGrantMeterCreditWebhook

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.BenefitGrantMeterCreditWebhook{
      benefit: PolarExpress.Schemas.BenefitMeterCredit.t() | nil,
      benefit_id: String.t() | nil,
      created_at: DateTime.t() | nil,
      customer: PolarExpress.Schemas.Customer.t() | nil,
      customer_id: String.t() | nil,
      error: PolarExpress.Schemas.BenefitGrantError.t() | nil,
      granted_at: DateTime.t() | nil,
      id: String.t() | nil,
      is_granted: boolean() | nil,
      is_revoked: boolean() | nil,
      member: PolarExpress.Schemas.Member.t() | nil,
      member_id: String.t() | nil,
      modified_at: DateTime.t() | nil,
      order_id: String.t() | nil,
      previous_properties:
        PolarExpress.Schemas.BenefitGrantMeterCreditProperties.t() | nil,
      properties: PolarExpress.Schemas.BenefitGrantMeterCreditProperties.t() | nil,
      revoked_at: DateTime.t() | nil,
      subscription_id: String.t() | nil
    }

- `benefit`
- `benefit_id` - The ID of the benefit concerned by this grant. Format: uuid4.
- `created_at` - Creation timestamp of the object. Format: date-time.
- `customer`
- `customer_id` - The ID of the customer concerned by this grant. Format: uuid4.
- `error` - The error information if the benefit grant failed with an unrecoverable error. Nullable.
- `granted_at` - The timestamp when the benefit was granted. If `None`, the benefit is not granted. Nullable.
- `id` - The ID of the grant. Format: uuid4.
- `is_granted` - Whether the benefit is granted.
- `is_revoked` - Whether the benefit is revoked.
- `member` - Nullable.
- `member_id` - The ID of the member concerned by this grant. Nullable.
- `modified_at` - Last modification timestamp of the object. Nullable.
- `order_id` - The ID of the order that granted this benefit. Nullable.
- `previous_properties` - Nullable.
- `properties`
- `revoked_at` - The timestamp when the benefit was revoked. If `None`, the benefit is not revoked. Nullable.
- `subscription_id` - The ID of the subscription that granted this benefit. Nullable.

## Functions

# schema_name()